Resource Center/Network Service/Network Service Operations/Security Group Operations
PUTSecurity Group OperationsSince 0.6SynchronousAuth Required
UpdateSecurityGroup
UpdateSecurityGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatesecuritygroupObjectRequiredupdatesecuritygroup request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/security-groups/{uuid}/actions
/zstack/v1/security-groups/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/security-groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesecuritygroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "def8dff9ec5046e39f57193f488d716a", "name": "web", "description": "for test", "state": "Enabled", "createDate": "Jun 7, 2017 9:20:15 PM", "lastOpDate": "Jun 7, 2017 9:20:15 PM", "internalId": 0.0 } }Change History
This API has no change history records yet.
